import { FETCH_TASKS_FAILURE, FETCH_TASKS_REQUEST, FETCH_TASKS_SUCCESS } from "../actionTypes/tasksTypes";

const initialState = {
    tasks: [],
    loading: false,
    error: null
};

const tasksReduсer = (state = initialState, action) => {
  switch(action.type) {
    case FETCH_TASKS_REQUEST:
        return {...state, loading: true};
    case FETCH_TASKS_SUCCESS:
        return {...state, loading: false, tasks: action.tasks};
    case FETCH_TASKS_FAILURE:
        return {...state, loading: false, error: action.error};
    default: 
        return state;
}
};

export default tasksReduсer;